taffybar-3.2.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widget.Decorators

Synopsis

- buildPadBox :: MonadIO m => Widget -> m Widget
- buildContentsBox :: MonadIO m => Widget -> m Widget

# Documentation

buildPadBox :: MonadIO m => Widget -> m Widget Source #

Wrap a widget with two container boxes. The inner box will have the class InnerPad, and the outer box will have the class OuterPad. These boxes can be used to add padding between the outline of the widget and its contents, or for the purpose of displaying a different background behind the widget.

buildContentsBox :: MonadIO m => Widget -> m Widget Source #